summaryrefslogtreecommitdiff
path: root/jenkins
diff options
context:
space:
mode:
authorTCWG BuildSlave <tcwg-buildslave@linaro.org>2023-11-16 22:19:59 +0000
committerTCWG BuildSlave <tcwg-buildslave@linaro.org>2023-11-16 22:19:59 +0000
commitf24b301f66def4fdd596a3e22b80aa403810af3f (patch)
treedc0b98f0aa0f0506d03e650c138246504609c66a /jenkins
parent773068d8a6fe36dc9e3caa5dd50c18626f93b4c8 (diff)
onsuccess: #709: 0: [TCWG CI] https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/709/
Results : | # reset_artifacts: | -10 | # init_abe_sysroot: | -3 | # build_abe glibc -- --disable install: | -2 | # build_abe dejagnu: | -1 | # build_abe check_glibc -- --disable install: | 0 check_regression status : 0
Diffstat (limited to 'jenkins')
-rw-r--r--jenkins/build-name2
-rw-r--r--jenkins/notify-full.log1325
-rw-r--r--jenkins/notify-init.log306
-rw-r--r--jenkins/run-build.env8
4 files changed, 1411 insertions, 230 deletions
diff --git a/jenkins/build-name b/jenkins/build-name
index 4662d8a..a84b9aa 100644
--- a/jenkins/build-name
+++ b/jenkins/build-name
@@ -1 +1 @@
-#708-glibc-R0
+#709-glibc-R0
diff --git a/jenkins/notify-full.log b/jenkins/notify-full.log
index aba89d9..d96bfe0 100644
--- a/jenkins/notify-full.log
+++ b/jenkins/notify-full.log
@@ -21,22 +21,22 @@
++ get_manifest artifacts/manifest.sh '{rr[ci_config]}'
++ set +x
+ ci_config=master-arm
-# Debug traces :
+ echo '# Debug traces :'
+# Debug traces :
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/707/
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/707/'
+# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/708/
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/708/'
# Using dir : base-artifacts
+ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/708/
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/708/'
+# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/709/
# Using dir : artifacts
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/709/'
+ echo '# Using dir : artifacts'
+ echo ''
+ mkdir -p artifacts/notify
@@ -76,7 +76,7 @@
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ '[' xa8dcffb30680d6db5704f9ce2fc30621ceb454e7 '!=' xb7f8b6b64b135e6dba5083d688675874d6809c91 ']'
+++ '[' x849274d48fc59bfa6db3c713c8ced8026b20f3b7 '!=' xa8dcffb30680d6db5704f9ce2fc30621ceb454e7 ']'
++ echo -ne glibc
++ delim=' '
++ echo
@@ -89,17 +89,17 @@
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ first_bad=a8dcffb30680d6db5704f9ce2fc30621ceb454e7
++ first_bad=849274d48fc59bfa6db3c713c8ced8026b20f3b7
++ get_baseline_git glibc_rev
++ set -euf -o pipefail
++ local base_artifacts=base-artifacts
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ last_good=b7f8b6b64b135e6dba5083d688675874d6809c91
++ last_good=a8dcffb30680d6db5704f9ce2fc30621ceb454e7
+ local res
+ res=0
-+ wait 1204453
++ wait 1031007
+ git -C glibc rev-parse --verify HEAD
+ assert_with_msg 'Cannot parse HEAD in repo glibc' '[' 0 = 0 ']'
+ set -euf -o pipefail +x
@@ -113,22 +113,22 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=b7f8b6b64b135e6dba5083d688675874d6809c91
++ base_rev=a8dcffb30680d6db5704f9ce2fc30621ceb454e7
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=a8dcffb30680d6db5704f9ce2fc30621ceb454e7
-++ git -C glibc rev-parse 'a8dcffb30680d6db5704f9ce2fc30621ceb454e7^@'
++ cur_rev=849274d48fc59bfa6db3c713c8ced8026b20f3b7
+++ git -C glibc rev-parse '849274d48fc59bfa6db3c713c8ced8026b20f3b7^@'
+ for sha1 in $(git -C "$c" rev-parse "$cur_rev^@")
-+ '[' 3fddfe3c5d3c61f91401393814f7dc33be9c7dd3 = b7f8b6b64b135e6dba5083d688675874d6809c91 ']'
-+ return 1
-+ change_kind=single_component
++ '[' a8dcffb30680d6db5704f9ce2fc30621ceb454e7 = a8dcffb30680d6db5704f9ce2fc30621ceb454e7 ']'
++ return 0
++ change_kind=single_commit
+ echo '# Debug traces :'
# Debug traces :
-# change_kind=single_component : glibc
-+ echo '# change_kind=single_component : glibc'
+# change_kind=single_commit : glibc
++ echo '# change_kind=single_commit : glibc'
+ for c in "${changed_components[@]}"
++ get_baseline_git glibc_rev
++ set -euf -o pipefail
@@ -136,17 +136,17 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=b7f8b6b64b135e6dba5083d688675874d6809c91
++ base_rev=a8dcffb30680d6db5704f9ce2fc30621ceb454e7
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=a8dcffb30680d6db5704f9ce2fc30621ceb454e7
-++ git -C glibc rev-list --count b7f8b6b64b135e6dba5083d688675874d6809c91..a8dcffb30680d6db5704f9ce2fc30621ceb454e7
-+ c_commits=2
-# rev for glibc : b7f8b6b64b135e6dba5083d688675874d6809c91..a8dcffb30680d6db5704f9ce2fc30621ceb454e7 (2 commits)
-+ echo '# rev for glibc : b7f8b6b64b135e6dba5083d688675874d6809c91..a8dcffb30680d6db5704f9ce2fc30621ceb454e7 (2 commits)'
++ cur_rev=849274d48fc59bfa6db3c713c8ced8026b20f3b7
+++ git -C glibc rev-list --count a8dcffb30680d6db5704f9ce2fc30621ceb454e7..849274d48fc59bfa6db3c713c8ced8026b20f3b7
++ c_commits=1
++ echo '# rev for glibc : a8dcffb30680d6db5704f9ce2fc30621ceb454e7..849274d48fc59bfa6db3c713c8ced8026b20f3b7 (1 commits)'
+# rev for glibc : a8dcffb30680d6db5704f9ce2fc30621ceb454e7..849274d48fc59bfa6db3c713c8ced8026b20f3b7 (1 commits)
+ echo ''
+ setup_stages_to_run
@@ -174,27 +174,894 @@
# post_interesting_commits
+ echo '# post_interesting_commits'
+ local stage=init
-+ '[' single_component '!=' single_commit ']'
++ '[' single_commit '!=' single_commit ']'
++ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ local refopt=
++ case "$reference" in
++ local ref_dir
++ for ref_dir in $url $dir
+++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ for ref_dir in $url $dir
+++ basename interesting-commits .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ git -C interesting-commits status
++ '[' -d interesting-commits ']'
++ '[' x '!=' x ']'
++ '[' -d interesting-commits ']'
++ rm -f interesting-commits/.git/gc.log
++ git -C interesting-commits config gc.autoDetach false
++ git -C interesting-commits gc --auto --force --prune=all
++ find interesting-commits/.git -name '*.lock' -delete
++ local i
++ for i in am cherry-pick rebase
++ git -C interesting-commits am --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits cherry-pick --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits rebase --abort
++ true
++ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local remote=origin
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local single_branch=master
++ git -C interesting-commits remote rm origin
++ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local refspec
++ '[' xmaster = x ']'
++ refspec=+refs/heads/master:refs/remotes/origin/master
++ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ local duration=1h
++ shift
++ local tries=3
++ shift
++ local n=0
++ local ret=0
++ '[' 0 -eq 3 ']'
+timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ ret=0
++ wait 1031087
++ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ '[' 0 -eq 0 ']'
++ break
++ return 0
++ git_checkout interesting-commits master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local remote=origin
++ git_clean interesting-commits
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard
++ local sha1
+++ git_rev_parse interesting-commits master origin
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ '[' 3 -ge 3 ']'
+++ remote=origin
+++ git_rev_parse_1 interesting-commits master origin --short
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ local opts=--short
+++ local ret
+++ cd interesting-commits
+++ local sha1 try_ref
+++ case "$ref" in
+++ try_ref=refs/remotes/origin/master
+++ ret=0
++++ git rev-parse --short refs/remotes/origin/master
+++ sha1=9b42ad270
+++ '[' 0 -ne 0 ']'
+++ echo 9b42ad270
++ sha1=9b42ad270
++ git -C interesting-commits checkout --detach 9b42ad270
+Warning: you are leaving 1 commit behind, not connected to
+any of your branches:
+
+ 19f8b0582 Add entry 849274d48fc59bfa6db3c713c8ced8026b20f3b7 from https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/709/
+
+If you want to keep it by creating a new branch, this may be a good time
+to do so with:
+
+ git branch <new-branch-name> 19f8b0582
+
+HEAD is now at 9b42ad270 Add entry 862776f26a59516467c98091994c3dac90383159 from https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-arm-build/929/
++ false
++ dryrun='echo DRYRUN: '
++ local jira_dir jira_key=
+++ interesting_subdir glibc 849274d48fc59bfa6db3c713c8ced8026b20f3b7
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7
++ jira_dir=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7
++ jira_dir=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/jira
++ '[' init = full ']'
++ true
++ git -C interesting-commits remote update -p
+Fetching origin
++ git_clean interesting-commits refs/remotes/origin/master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard refs/remotes/origin/master
+# update_interesting_commits
++ update_interesting_commits init ''
++ echo '# update_interesting_commits'
++ local stage=init
++ local jira_key=
++ local subdir3 subdir4 subdir4
+++ interesting_subdir glibc 849274d48fc59bfa6db3c713c8ced8026b20f3b7
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7
++ subdir3=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7
+++ interesting_subdir glibc 849274d48fc59bfa6db3c713c8ced8026b20f3b7 tcwg_glibc_check
+++ local dir=glibc/sha1
+++ '[' 3 -ge 2 ']'
+++ dir=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7
+++ '[' 3 -ge 3 ']'
+++ dir=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check
+++ '[' 3 -ge 4 ']'
+++ echo glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check
++ subdir4=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check
+++ interesting_subdir glibc 849274d48fc59bfa6db3c713c8ced8026b20f3b7 tcwg_glibc_check master-arm
+++ local dir=glibc/sha1
+++ '[' 4 -ge 2 ']'
+++ dir=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7
+++ '[' 4 -ge 3 ']'
+++ dir=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check
+++ '[' 4 -ge 4 ']'
+++ dir=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/master-arm
+++ echo glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/master-arm
++ subdir5=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/master-arm
++ '[' -d interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7 ']'
++ mkdir -p interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ git -C interesting-commits add glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/first_url
++ mkdir -p interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/master-arm
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ echo a8dcffb30680d6db5704f9ce2fc30621ceb454e7
++ git -C interesting-commits add glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/master-arm/build_url glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/master-arm/last_good
++ '[' init '!=' full ']'
+ return
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ git -C interesting-commits commit -m 'Add entry 849274d48fc59bfa6db3c713c8ced8026b20f3b7 from https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/709/'
+[detached HEAD c41bc17c1] Add entry 849274d48fc59bfa6db3c713c8ced8026b20f3b7 from https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/709/
+ 3 files changed, 3 insertions(+)
+ create mode 100644 glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/first_url
+ create mode 100644 glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/master-arm/build_url
+ create mode 100644 glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/master-arm/last_good
+DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
++ wait 1043724
++ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
++ break
+ '[' full '!=' full ']'
+ gnu_generate_extra_details
+ set -euf -o pipefail
+ '[' -d artifacts/sumfiles ']'
-+ wait 1204477
++ wait 1043726
+ gcc-compare-results/compare_tests -compr none -pass-thresh 0.9 base-artifacts/sumfiles artifacts/sumfiles
+ true
+ check_if_first_report
+ declare -g first_icommit_to_report
+ first_icommit_to_report=false
-+ '[' xsingle_component '!=' xsingle_commit ']'
-+ return
++ '[' xsingle_commit '!=' xsingle_commit ']'
++ local isubdir
+++ interesting_subdir glibc 849274d48fc59bfa6db3c713c8ced8026b20f3b7
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7
++ isubdir=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7
++ '[' -f interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/first_url ']'
++ local first_url
+++ cat interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/first_url
++ first_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/709/
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ '[' https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/709/ = https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/709/ ']'
++ first_icommit_to_report=true
+ post_interesting_commits full
+ set -euf -o pipefail
-# post_interesting_commits
+ echo '# post_interesting_commits'
+# post_interesting_commits
+ local stage=full
-+ '[' single_component '!=' single_commit ']'
-+ return
++ '[' single_commit '!=' single_commit ']'
++ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ local refopt=
++ case "$reference" in
++ local ref_dir
++ for ref_dir in $url $dir
+++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ for ref_dir in $url $dir
+++ basename interesting-commits .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ git -C interesting-commits status
++ '[' -d interesting-commits ']'
++ '[' x '!=' x ']'
++ '[' -d interesting-commits ']'
++ rm -f interesting-commits/.git/gc.log
++ git -C interesting-commits config gc.autoDetach false
++ git -C interesting-commits gc --auto --force --prune=all
++ find interesting-commits/.git -name '*.lock' -delete
++ local i
++ for i in am cherry-pick rebase
++ git -C interesting-commits am --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits cherry-pick --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits rebase --abort
++ true
++ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local remote=origin
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local single_branch=master
++ git -C interesting-commits remote rm origin
++ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
+timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ local refspec
++ '[' xmaster = x ']'
++ refspec=+refs/heads/master:refs/remotes/origin/master
++ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ local duration=1h
++ shift
++ local tries=3
++ shift
++ local n=0
++ local ret=0
++ '[' 0 -eq 3 ']'
++ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ ret=0
++ wait 1043831
++ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ '[' 0 -eq 0 ']'
++ break
++ return 0
++ git_checkout interesting-commits master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local remote=origin
++ git_clean interesting-commits
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard
++ local sha1
+++ git_rev_parse interesting-commits master origin
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ '[' 3 -ge 3 ']'
+++ remote=origin
+++ git_rev_parse_1 interesting-commits master origin --short
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ local opts=--short
+++ local ret
+++ cd interesting-commits
+++ local sha1 try_ref
+++ case "$ref" in
+++ try_ref=refs/remotes/origin/master
+++ ret=0
++++ git rev-parse --short refs/remotes/origin/master
+++ sha1=9b42ad270
+++ '[' 0 -ne 0 ']'
+++ echo 9b42ad270
++ sha1=9b42ad270
++ git -C interesting-commits checkout --detach 9b42ad270
+Warning: you are leaving 1 commit behind, not connected to
+any of your branches:
+
+ c41bc17c1 Add entry 849274d48fc59bfa6db3c713c8ced8026b20f3b7 from https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/709/
+
+If you want to keep it by creating a new branch, this may be a good time
+to do so with:
+
+ git branch <new-branch-name> c41bc17c1
+
+HEAD is now at 9b42ad270 Add entry 862776f26a59516467c98091994c3dac90383159 from https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-arm-build/929/
++ false
++ dryrun='echo DRYRUN: '
++ local jira_dir jira_key=
+++ interesting_subdir glibc 849274d48fc59bfa6db3c713c8ced8026b20f3b7
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7
++ jira_dir=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7
++ jira_dir=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/jira
++ '[' full = full ']'
++ false
++ true
++ git -C interesting-commits remote update -p
+Fetching origin
++ git_clean interesting-commits refs/remotes/origin/master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard refs/remotes/origin/master
+# update_interesting_commits
++ update_interesting_commits full ''
++ echo '# update_interesting_commits'
++ local stage=full
++ local jira_key=
++ local subdir3 subdir4 subdir4
+++ interesting_subdir glibc 849274d48fc59bfa6db3c713c8ced8026b20f3b7
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7
++ subdir3=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7
+++ interesting_subdir glibc 849274d48fc59bfa6db3c713c8ced8026b20f3b7 tcwg_glibc_check
+++ local dir=glibc/sha1
+++ '[' 3 -ge 2 ']'
+++ dir=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7
+++ '[' 3 -ge 3 ']'
+++ dir=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check
+++ '[' 3 -ge 4 ']'
+++ echo glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check
++ subdir4=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check
+++ interesting_subdir glibc 849274d48fc59bfa6db3c713c8ced8026b20f3b7 tcwg_glibc_check master-arm
+++ local dir=glibc/sha1
+++ '[' 4 -ge 2 ']'
+++ dir=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7
+++ '[' 4 -ge 3 ']'
+++ dir=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check
+++ '[' 4 -ge 4 ']'
+++ dir=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/master-arm
+++ echo glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/master-arm
++ subdir5=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/master-arm
++ '[' -d interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7 ']'
++ mkdir -p interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ git -C interesting-commits add glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/first_url
++ mkdir -p interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/master-arm
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ echo a8dcffb30680d6db5704f9ce2fc30621ceb454e7
++ git -C interesting-commits add glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/master-arm/build_url glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/master-arm/last_good
++ '[' full '!=' full ']'
++ gnu_print_result --oneline
++ false
++ local print_arg=--oneline
++ '[' -d artifacts/sumfiles ']'
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
++ wait 1056418
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231116 --build_dir=artifacts/sumfiles --verbosity=1
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231116 --build_dir=artifacts/sumfiles --verbosity=1
++ wait 1056419
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
+++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
+++ true
++ n_regressions=0
+++ grep -c '^[A-Z]\+:' artifacts/notify/progressions.sum
+++ true
++ n_progressions=0
++ printf PASS
++ '[' 0 '!=' 0 ']'
++ rm artifacts/notify/regressions.sum
++ '[' 0 '!=' 0 ']'
++ rm artifacts/notify/progressions.sum
++ printf '\n'
++ '[' --oneline = --oneline ']'
++ return 0
++ merge_status_summary interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check
++ set -euf -o pipefail
++ local subdir=interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check
++ local cur_file cur best= best_file
++ read -r cur_file
+++ find interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check -mindepth 2 -maxdepth 2 -name status-summary.txt
+++ sort
+++ sed -e 's/.* \([0-9]\+\)[ %].*/\1/' interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/master-arm/status-summary.txt
++ cur=PASS
++ '[' PASS -le '' ']'
+/home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/round-robin-notify.sh: line 1030: [: PASS: integer expression expected
++ best=PASS
++ best_file=interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/master-arm/status-summary.txt
++ read -r cur_file
++ cat interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/master-arm/status-summary.txt
++ merge_status_summary interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7
++ set -euf -o pipefail
++ local subdir=interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7
++ local cur_file cur best= best_file
++ read -r cur_file
+++ find interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7 -mindepth 2 -maxdepth 2 -name status-summary.txt
+++ sort
+++ sed -e 's/.* \([0-9]\+\)[ %].*/\1/' interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/status-summary.txt
++ cur=PASS
++ '[' PASS -le '' ']'
+/home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/round-robin-notify.sh: line 1030: [: PASS: integer expression expected
++ best=PASS
++ best_file=interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/status-summary.txt
++ read -r cur_file
++ cat interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/status-summary.txt
++ git -C interesting-commits add glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/master-arm/status-summary.txt glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/status-summary.txt glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/status-summary.txt
++ gnu_print_result --long
++ false
++ local print_arg=--long
++ '[' -d artifacts/sumfiles ']'
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
++ wait 1056459
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231116 --build_dir=artifacts/sumfiles --verbosity=1
++ wait 1056460
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231116 --build_dir=artifacts/sumfiles --verbosity=1
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
+++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
+++ true
++ n_regressions=0
+++ grep -c '^[A-Z]\+:' artifacts/notify/progressions.sum
+++ true
++ n_progressions=0
++ printf PASS
++ '[' 0 '!=' 0 ']'
++ rm artifacts/notify/regressions.sum
++ '[' 0 '!=' 0 ']'
++ rm artifacts/notify/progressions.sum
++ printf '\n'
++ '[' --long = --oneline ']'
++ local length=10 outfile n_lines
++ '[' --long = --long ']'
++ length=-0
++ for outfile in regressions.sum progressions.sum
++ '[' -f artifacts/notify/regressions.sum ']'
++ continue
++ for outfile in regressions.sum progressions.sum
++ '[' -f artifacts/notify/progressions.sum ']'
++ continue
++ cat
+++ print_artifacts_url 00-sumfiles/
+++ set -euf -o pipefail
+++ local url
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
+++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/709/artifact/artifacts
+++ '[' '' '!=' '' ']'
+++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/709/artifact/artifacts/00-sumfiles/
+++ print_artifacts_url notify/
+++ set -euf -o pipefail
+++ local url
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
+++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/709/artifact/artifacts
+++ '[' '' '!=' '' ']'
+++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/709/artifact/artifacts/notify/
+++ print_artifacts_url sumfiles/xfails.xfail
+++ set -euf -o pipefail
+++ local url
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
+++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/709/artifact/artifacts
+++ '[' '' '!=' '' ']'
+++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/709/artifact/artifacts/sumfiles/xfails.xfail
++ cat interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/master-arm/status-summary.txt
++ sed 's/^/* /'
++ print_icommits_link glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/master-arm/details.txt
++ set -euf -o pipefail
++ local path=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/master-arm/details.txt
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/master-arm/details.txt
++ cat interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/master-arm/build_url
++ git -C interesting-commits add glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/master-arm/details.txt glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/master-arm/status.txt
++ '[' -f interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/master-arm/summary.txt ']'
++ local bad_artifacts_url good_artifacts_url
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ bad_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/709/artifact/artifacts
+++ get_baseline_manifest BUILD_URL
+++ get_manifest base-artifacts/manifest.sh BUILD_URL false
+++ set +x
++ good_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/708/artifact/artifacts
++ cat
++ git -C interesting-commits add glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/master-arm/reproduction_instructions.txt
++ local ci_config
++ read ci_config
+++ cd interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check
+++ ls
++ '[' -f interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/master-arm/summary.txt ']'
++ '[' -f interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/master-arm/status.txt ']'
++ echo '* master-arm'
++ cat interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/master-arm/status.txt
++ sed 's/^/*/'
++ read ci_config
++ '[' -f interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/status-summary.txt/summary.txt ']'
++ '[' -f interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/status-summary.txt/status.txt ']'
++ continue
++ read ci_config
++ '[' -f interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/status.txt/summary.txt ']'
++ '[' -f interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/status.txt/status.txt ']'
++ continue
++ read ci_config
++ git -C interesting-commits add glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/status.txt
++ local ci_project
++ read ci_project
+++ cd interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7
+++ ls
++ '[' -f interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/first_url/status.txt ']'
++ continue
++ read ci_project
++ '[' -f interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/status-summary.txt/status.txt ']'
++ continue
++ read ci_project
++ '[' -f interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/status.txt/status.txt ']'
++ continue
++ read ci_project
++ '[' -f interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/status.txt ']'
++ echo '* tcwg_glibc_check'
++ cat interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/status.txt
++ sed 's/^/*/'
++ read ci_project
++ git -C interesting-commits add glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/status.txt
++ print_commits --short
++ set -euf -o pipefail
++ false
++ local print_arg=--short
++ '[' single_commit = no_change ']'
++ local more_lines
++ '[' single_commit = single_commit ']'
++ local c=glibc
++ '[' --short = --link ']'
++ local describe
++ '[' '' = '' ']'
+++ describe_sha1 glibc 849274d48fc59bfa6db3c713c8ced8026b20f3b7 true
+++ local component=glibc
+++ local sha1=849274d48fc59bfa6db3c713c8ced8026b20f3b7
+++ local anything=true
+++ match=()
+++ local -a match
+++ case "$component" in
+++ git -C glibc describe 849274d48fc59bfa6db3c713c8ced8026b20f3b7
++ describe=glibc-2.38.9000-262-g849274d48f
+++ echo glibc-2.38.9000-262-g849274d48f
+++ sed 's,^basepoints/,,'
++ describe=glibc-2.38.9000-262-g849274d48f
++ '[' --short = --oneline ']'
++ '[' '' = '' ']'
++ echo 'commit glibc-2.38.9000-262-g849274d48f'
++ local tmpfile
+++ mktemp
++ tmpfile=/tmp/tmp.18W8v1pxIW
++ git -C glibc log -n1 849274d48fc59bfa6db3c713c8ced8026b20f3b7
++ tail -n +2
++ head -n 10 /tmp/tmp.18W8v1pxIW
+++ cat /tmp/tmp.18W8v1pxIW
+++ wc -l
++ more_lines=5
++ '[' 5 -gt 0 ']'
++ echo '... 5 lines of the commit log omitted.'
++ rm /tmp/tmp.18W8v1pxIW
++ '[' '' '!=' '' ']'
++ return 0
++ git -C interesting-commits add glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/commit-log.txt
++ true
++ local jira_dir=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/jira
++ '[' -f interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/jira/key ']'
++ '[' -e interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/jira ']'
++ mkdir interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/jira
++ '[' '' '!=' '' ']'
+++ print_commits --oneline
+++ set -euf -o pipefail
+++ false
+++ local print_arg=--oneline
+++ '[' single_commit = no_change ']'
+++ local more_lines
+++ '[' single_commit = single_commit ']'
+++ local c=glibc
+++ '[' --oneline = --link ']'
+++ local describe
+++ '[' '' = '' ']'
++++ describe_sha1 glibc 849274d48fc59bfa6db3c713c8ced8026b20f3b7 true
++++ local component=glibc
++++ local sha1=849274d48fc59bfa6db3c713c8ced8026b20f3b7
++++ local anything=true
++++ match=()
++++ local -a match
++++ case "$component" in
++++ git -C glibc describe 849274d48fc59bfa6db3c713c8ced8026b20f3b7
+++ describe=glibc-2.38.9000-262-g849274d48f
++++ echo glibc-2.38.9000-262-g849274d48f
++++ sed 's,^basepoints/,,'
+++ describe=glibc-2.38.9000-262-g849274d48f
+++ '[' --oneline = --oneline ']'
+++ echo glibc-2.38.9000-262-g849274d48f
+++ return 0
+++ cat interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/status-summary.txt
++ echo glibc-2.38.9000-262-g849274d48f: PASS
++ git -C interesting-commits add glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/jira/summary
++ cat
+++ cat interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/commit-log.txt
+++ cat interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/status.txt
+++ print_icommits_link glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/jira/yaml
+++ set -euf -o pipefail
+++ local path=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/jira/yaml
+++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
+++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/jira/yaml
++ git -C interesting-commits add glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/jira/description
++ update_jira_card
++ set -euf -o pipefail
++ echo '# update_jira_card'
+# update_jira_card
++ local jira_dir
+++ interesting_subdir glibc 849274d48fc59bfa6db3c713c8ced8026b20f3b7
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7
++ jira_dir=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7
++ jira_dir=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/jira
++ components=()
++ local -a components
++ case "$changed_single_component" in
++ components+=(Glibc)
++ IFS=,
++ echo Glibc
++ git -C interesting-commits add glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/jira/components
++ local commit_date
+++ git -C glibc log -n1 --pretty=%cd --date=iso 849274d48fc59bfa6db3c713c8ced8026b20f3b7
++ commit_date='2023-11-16 20:16:05 +0100'
++ date -d '2023-11-16 20:16:05 +0100' +%Y-%m-%d
++ git -C interesting-commits add glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/jira/startdate
++ local key project
+++ print_jira_card_key
+++ set -euf -o pipefail
+++ local jira_dir
++++ interesting_subdir glibc 849274d48fc59bfa6db3c713c8ced8026b20f3b7
++++ local dir=glibc/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7
+++ jira_dir=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7
+++ jira_dir=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/jira
+++ '[' -f interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/jira/key ']'
+++ return 0
++ key=
++ '[' -z '' ']'
++ echo 'WARNING: no existing jira card interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/jira/key'
+WARNING: no existing jira card interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/jira/key
++ return 0
++ local describe
+++ describe_sha1 glibc 849274d48fc59bfa6db3c713c8ced8026b20f3b7 false
+++ local component=glibc
+++ local sha1=849274d48fc59bfa6db3c713c8ced8026b20f3b7
+++ local anything=false
+++ match=()
+++ local -a match
+++ case "$component" in
+++ git -C glibc describe 849274d48fc59bfa6db3c713c8ced8026b20f3b7
++ describe=glibc-2.38.9000-262-g849274d48f
++ '[' glibc-2.38.9000-262-g849274d48f '!=' '' ']'
++ local d
+++ dirname glibc-2.38.9000-262-g849274d48f
++ d=.
++ mkdir -p interesting-commits/glibc/.
++ local symlink=
++ '[' . '!=' . ']'
++ symlink=sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7
++ rm -f interesting-commits/glibc/glibc-2.38.9000-262-g849274d48f
++ ln -s sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7 interesting-commits/glibc/glibc-2.38.9000-262-g849274d48f
++ git -C interesting-commits add glibc/glibc-2.38.9000-262-g849274d48f
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ git -C interesting-commits commit -m 'Add entry 849274d48fc59bfa6db3c713c8ced8026b20f3b7 from https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/709/'
+[detached HEAD bb6063257] Add entry 849274d48fc59bfa6db3c713c8ced8026b20f3b7 from https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/709/
+ 17 files changed, 77 insertions(+)
+ create mode 120000 glibc/glibc-2.38.9000-262-g849274d48f
+ create mode 100644 glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/commit-log.txt
+ create mode 100644 glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/first_url
+ create mode 100644 glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/jira/components
+ create mode 100644 glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/jira/description
+ create mode 100644 glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/jira/startdate
+ create mode 100644 glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/jira/summary
+ create mode 100644 glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/status-summary.txt
+ create mode 100644 glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/status.txt
+ create mode 100644 glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/master-arm/build_url
+ create mode 100644 glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/master-arm/details.txt
+ create mode 100644 glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/master-arm/last_good
+ create mode 100644 glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/master-arm/reproduction_instructions.txt
+ create mode 100644 glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/master-arm/status-summary.txt
+ create mode 100644 glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/master-arm/status.txt
+ create mode 100644 glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/status-summary.txt
+ create mode 100644 glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/status.txt
++ wait 1056830
++ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
+DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
++ break
+ true
+ generate_jira_dir
+ set -euf -o pipefail
@@ -204,11 +1071,23 @@
++ set -euf -o pipefail
++ local print_arg=--entry
++ shift 1
-++ '[' xsingle_component '!=' xsingle_commit ']'
-++ return 0
-+ icommit_entry=
-+ '[' '' '!=' '' ']'
-+ mkdir -p artifacts/notify/jira
+++ '[' xsingle_commit '!=' xsingle_commit ']'
+++ local isubdir
++++ interesting_subdir glibc 849274d48fc59bfa6db3c713c8ced8026b20f3b7
++++ local dir=glibc/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7
+++ isubdir=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7
+++ case "$print_arg" in
+++ echo interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7
++ icommit_entry=interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7
++ '[' interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7 '!=' '' ']'
++ '[' -d interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/jira ']'
++ rsync -a interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/jira/ artifacts/notify/jira/
++ '[' -f artifacts/notify/jira/key ']'
+ '[' '' '!=' '' ']'
+ cat
++ print_jira_template_card
@@ -222,10 +1101,10 @@
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
-++ wait 1204522
+++ wait 1056841
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231116 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 1056842
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231116 --build_dir=artifacts/sumfiles --verbosity=1
-++ wait 1204523
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
+++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
@@ -248,9 +1127,9 @@
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
-++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/708/artifact/artifacts
+++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/709/artifact/artifacts
++ '[' '' '!=' '' ']'
-++ echo 'https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/708/artifact/artifacts/notify/mail-body.txt/*view*/'
+++ echo 'https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/709/artifact/artifacts/notify/mail-body.txt/*view*/'
# print all notification files
+ echo '# print all notification files'
+ true
@@ -273,17 +1152,15 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=b7f8b6b64b135e6dba5083d688675874d6809c91
++ base_rev=a8dcffb30680d6db5704f9ce2fc30621ceb454e7
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=a8dcffb30680d6db5704f9ce2fc30621ceb454e7
-+ read -r email
-++ git -C glibc log --pretty=%ae b7f8b6b64b135e6dba5083d688675874d6809c91..a8dcffb30680d6db5704f9ce2fc30621ceb454e7
-+ emails["$email"]=cc
++ cur_rev=849274d48fc59bfa6db3c713c8ced8026b20f3b7
+ read -r email
+++ git -C glibc log --pretty=%ae a8dcffb30680d6db5704f9ce2fc30621ceb454e7..849274d48fc59bfa6db3c713c8ced8026b20f3b7
+ emails["$email"]=cc
+ read -r email
+ local precommit_postcommit=postcommit
@@ -294,17 +1171,15 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=b7f8b6b64b135e6dba5083d688675874d6809c91
++ base_rev=a8dcffb30680d6db5704f9ce2fc30621ceb454e7
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=a8dcffb30680d6db5704f9ce2fc30621ceb454e7
-+ read -r email
-++ git -C glibc log --pretty=%ce b7f8b6b64b135e6dba5083d688675874d6809c91..a8dcffb30680d6db5704f9ce2fc30621ceb454e7
-+ emails["$email"]=to
++ cur_rev=849274d48fc59bfa6db3c713c8ced8026b20f3b7
+ read -r email
+++ git -C glibc log --pretty=%ce a8dcffb30680d6db5704f9ce2fc30621ceb454e7..849274d48fc59bfa6db3c713c8ced8026b20f3b7
+ emails["$email"]=to
+ read -r email
+ unset 'emails[author]' 'emails[committer]'
@@ -318,57 +1193,42 @@
+ case "$type" in
+ recipients+=("$type:$email")
+ for email in "${!emails[@]}"
-+ type=bcc
-+ case "$precommit_postcommit:$type" in
-+ case "$type" in
-+ recipients+=("$type:$email")
-+ for email in "${!emails[@]}"
+ type=to
+ case "$precommit_postcommit:$type" in
+ case "$type" in
+ recipients+=("$email")
+ for email in "${!emails[@]}"
-+ type=to
++ type=bcc
+ case "$precommit_postcommit:$type" in
+ case "$type" in
-+ recipients+=("$email")
++ recipients+=("$type:$email")
+ IFS=,
-+ echo cc:linaro-toolchain@lists.linaro.org,bcc:tcwg-validation@linaro.org,mfabian@redhat.com,adhemerval.zanella@linaro.org
++ echo cc:linaro-toolchain@lists.linaro.org,fweimer@redhat.com,bcc:tcwg-validation@linaro.org
++ print_commits --oneline
++ set -euf -o pipefail
++ false
++ local print_arg=--oneline
-++ '[' single_component = no_change ']'
+++ '[' single_commit = no_change ']'
++ local more_lines
-++ '[' single_component = single_commit ']'
-++ '[' single_component = single_component ']'
-++ local new_commits c base_rev cur_rev c_commits components
-++ local commits_or_patches
-++ '[' '' '!=' '' ']'
-++ commits_or_patches=commits
-++ new_commits=0
-++ for c in "${changed_components[@]}"
-+++ get_baseline_git glibc_rev
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/glibc_rev
-++ base_rev=b7f8b6b64b135e6dba5083d688675874d6809c91
-+++ get_current_git glibc_rev
-+++ set -euf -o pipefail
-+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat artifacts/git/glibc_rev
-++ cur_rev=a8dcffb30680d6db5704f9ce2fc30621ceb454e7
-+++ git -C glibc rev-list --count b7f8b6b64b135e6dba5083d688675874d6809c91..a8dcffb30680d6db5704f9ce2fc30621ceb454e7
-++ c_commits=2
-++ new_commits=2
-+++ echo glibc
-+++ tr ' ' ,
-++ components=glibc
-++ echo '2 commits in glibc'
+++ '[' single_commit = single_commit ']'
+++ local c=glibc
+++ '[' --oneline = --link ']'
+++ local describe
+++ '[' '' = '' ']'
++++ describe_sha1 glibc 849274d48fc59bfa6db3c713c8ced8026b20f3b7 true
++++ local component=glibc
++++ local sha1=849274d48fc59bfa6db3c713c8ced8026b20f3b7
++++ local anything=true
++++ match=()
++++ local -a match
++++ case "$component" in
++++ git -C glibc describe 849274d48fc59bfa6db3c713c8ced8026b20f3b7
+++ describe=glibc-2.38.9000-262-g849274d48f
++++ echo glibc-2.38.9000-262-g849274d48f
++++ sed 's,^basepoints/,,'
+++ describe=glibc-2.38.9000-262-g849274d48f
++ '[' --oneline = --oneline ']'
+++ echo glibc-2.38.9000-262-g849274d48f
++ return 0
++ gnu_print_result --oneline
++ false
@@ -377,10 +1237,10 @@
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
-++ wait 1204579
+++ wait 1056890
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231116 --build_dir=artifacts/sumfiles --verbosity=1
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231116 --build_dir=artifacts/sumfiles --verbosity=1
-++ wait 1204580
+++ wait 1056891
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
+++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
@@ -421,17 +1281,17 @@
++ case "$print_arg" in
++ case "$ci_config" in
++ echo arm
-+ echo '[Linaro-TCWG-CI]' '2 commits in glibc: PASS on arm'
++ echo '[Linaro-TCWG-CI]' 'glibc-2.38.9000-262-g849274d48f: PASS on arm'
+ print_mail_body
+ local bad_artifacts_url good_artifacts_url
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ bad_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/708/artifact/artifacts
++ bad_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/709/artifact/artifacts
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-+ good_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/707/artifact/artifacts
++ good_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/708/artifact/artifacts
+ cat
++ gnu_print_config --short
++ false
@@ -457,56 +1317,40 @@
++ set -euf -o pipefail
++ false
++ local print_arg=--short
-++ '[' single_component = no_change ']'
+++ '[' single_commit = no_change ']'
++ local more_lines
-++ '[' single_component = single_commit ']'
-++ '[' single_component = single_component ']'
-++ local new_commits c base_rev cur_rev c_commits components
-++ local commits_or_patches
-++ '[' '' '!=' '' ']'
-++ commits_or_patches=commits
-++ new_commits=0
-++ for c in "${changed_components[@]}"
-+++ get_baseline_git glibc_rev
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/glibc_rev
-++ base_rev=b7f8b6b64b135e6dba5083d688675874d6809c91
-+++ get_current_git glibc_rev
-+++ set -euf -o pipefail
-+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat artifacts/git/glibc_rev
-++ cur_rev=a8dcffb30680d6db5704f9ce2fc30621ceb454e7
-+++ git -C glibc rev-list --count b7f8b6b64b135e6dba5083d688675874d6809c91..a8dcffb30680d6db5704f9ce2fc30621ceb454e7
-++ c_commits=2
-++ new_commits=2
-+++ echo glibc
-+++ tr ' ' ,
-++ components=glibc
-++ echo '2 commits in glibc'
+++ '[' single_commit = single_commit ']'
+++ local c=glibc
+++ '[' --short = --link ']'
+++ local describe
+++ '[' '' = '' ']'
++++ describe_sha1 glibc 849274d48fc59bfa6db3c713c8ced8026b20f3b7 true
++++ local component=glibc
++++ local sha1=849274d48fc59bfa6db3c713c8ced8026b20f3b7
++++ local anything=true
++++ match=()
++++ local -a match
++++ case "$component" in
++++ git -C glibc describe 849274d48fc59bfa6db3c713c8ced8026b20f3b7
+++ describe=glibc-2.38.9000-262-g849274d48f
++++ echo glibc-2.38.9000-262-g849274d48f
++++ sed 's,^basepoints/,,'
+++ describe=glibc-2.38.9000-262-g849274d48f
++ '[' --short = --oneline ']'
-++ for c in "${changed_components[@]}"
-+++ get_baseline_git glibc_rev
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/glibc_rev
-++ base_rev=b7f8b6b64b135e6dba5083d688675874d6809c91
-+++ get_current_git glibc_rev
-+++ set -euf -o pipefail
-+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat artifacts/git/glibc_rev
-++ cur_rev=a8dcffb30680d6db5704f9ce2fc30621ceb454e7
-+++ git -C glibc rev-list --count b7f8b6b64b135e6dba5083d688675874d6809c91..a8dcffb30680d6db5704f9ce2fc30621ceb454e7
-++ c_commits=2
-++ '[' '' '!=' '' ']'
-++ git -C glibc log -n 5 --oneline b7f8b6b64b135e6dba5083d688675874d6809c91..a8dcffb30680d6db5704f9ce2fc30621ceb454e7
-++ '[' 2 -gt 5 ']'
+++ '[' '' = '' ']'
+++ echo 'commit glibc-2.38.9000-262-g849274d48f'
+++ local tmpfile
++++ mktemp
+++ tmpfile=/tmp/tmp.GTwvVhvgip
+++ git -C glibc log -n1 849274d48fc59bfa6db3c713c8ced8026b20f3b7
+++ tail -n +2
+++ head -n 10 /tmp/tmp.GTwvVhvgip
++++ cat /tmp/tmp.GTwvVhvgip
++++ wc -l
+++ more_lines=5
+++ '[' 5 -gt 0 ']'
+++ echo '... 5 lines of the commit log omitted.'
+++ rm /tmp/tmp.GTwvVhvgip
++ '[' '' '!=' '' ']'
++ return 0
++ gnu_print_result --short
@@ -516,10 +1360,10 @@
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
-++ wait 1204643
+++ wait 1056943
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231116 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 1056944
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231116 --build_dir=artifacts/sumfiles --verbosity=1
-++ wait 1204644
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
+++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
@@ -550,27 +1394,27 @@
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
-+++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/708/artifact/artifacts
++++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/709/artifact/artifacts
+++ '[' '' '!=' '' ']'
-+++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/708/artifact/artifacts/00-sumfiles/
++++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/709/artifact/artifacts/00-sumfiles/
+++ print_artifacts_url notify/
+++ set -euf -o pipefail
+++ local url
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
-+++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/708/artifact/artifacts
++++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/709/artifact/artifacts
+++ '[' '' '!=' '' ']'
-+++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/708/artifact/artifacts/notify/
++++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/709/artifact/artifacts/notify/
+++ print_artifacts_url sumfiles/xfails.xfail
+++ set -euf -o pipefail
+++ local url
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
-+++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/708/artifact/artifacts
++++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/709/artifact/artifacts
+++ '[' '' '!=' '' ']'
-+++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/708/artifact/artifacts/sumfiles/xfails.xfail
++++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/709/artifact/artifacts/sumfiles/xfails.xfail
++ gnu_print_config --long
++ false
++ . /home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/tcwg_gnu-config.sh
@@ -594,38 +1438,123 @@
++ local print_arg=--long
++ case "$print_arg" in
++ echo 'CI config tcwg_glibc_check/master-arm'
-+ '[' single_component '!=' single_commit ']'
-+ return
-+ echo '# generate dashboard'
++ '[' single_commit '!=' single_commit ']'
++ '[' '' '!=' '' ']'
++ local key
+++ print_jira_card_key
+++ set -euf -o pipefail
+++ local jira_dir
++++ interesting_subdir glibc 849274d48fc59bfa6db3c713c8ced8026b20f3b7
++++ local dir=glibc/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7
+++ jira_dir=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7
+++ jira_dir=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/jira
+++ '[' -f interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/jira/key ']'
+++ return 0
++ key=
++ '[' -z '' ']'
+++ print_jira_template_card
+++ local jira_card=GNU-692
+++ case "$ci_project/$ci_config:$changed_single_component" in
+++ echo GNU-692
++ key=GNU-692
++ cat
+++ print_last_icommit --reproduction_instructions_link tcwg_glibc_check master-arm
+++ false
+++ set -euf -o pipefail
+++ local print_arg=--reproduction_instructions_link
+++ shift 1
+++ '[' xsingle_commit '!=' xsingle_commit ']'
+++ local isubdir
++++ interesting_subdir glibc 849274d48fc59bfa6db3c713c8ced8026b20f3b7 tcwg_glibc_check master-arm
++++ local dir=glibc/sha1
++++ '[' 4 -ge 2 ']'
++++ dir=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7
++++ '[' 4 -ge 3 ']'
++++ dir=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check
++++ '[' 4 -ge 4 ']'
++++ dir=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/master-arm
++++ echo glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/master-arm
+++ isubdir=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/master-arm
+++ case "$print_arg" in
+++ print_icommits_link glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/master-arm/reproduction_instructions.txt
+++ set -euf -o pipefail
+++ local path=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/master-arm/reproduction_instructions.txt
+++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
+++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/master-arm/reproduction_instructions.txt
+++ print_commits --link
+++ set -euf -o pipefail
+++ false
+++ local print_arg=--link
+++ '[' single_commit = no_change ']'
+++ local more_lines
+++ '[' single_commit = single_commit ']'
+++ local c=glibc
+++ '[' --link = --link ']'
+++ local url
++++ get_baseline_git glibc_url
++++ set -euf -o pipefail
++++ local base_artifacts=base-artifacts
++++ assert_with_msg 'ERROR: No glibc_url in baseline git' '[' -f base-artifacts/git/glibc_url ']'
++++ set -euf -o pipefail +x
++++ cat base-artifacts/git/glibc_url
+++ url=git://sourceware.org/git/glibc.git
+++ [[ git://sourceware.org/git/glibc.git =~ git://sourceware.org/git/ ]]
+++ url=glibc.git
+++ url='https://sourceware.org/git/?p=glibc.git'
+++ echo 'https://sourceware.org/git/?p=glibc.git;a=commitdiff;h=849274d48fc59bfa6db3c713c8ced8026b20f3b7'
+++ return 0
+++ print_last_icommit --status
+++ false
+++ set -euf -o pipefail
+++ local print_arg=--status
+++ shift 1
+++ '[' xsingle_commit '!=' xsingle_commit ']'
+++ local isubdir
++++ interesting_subdir glibc 849274d48fc59bfa6db3c713c8ced8026b20f3b7
++++ local dir=glibc/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7
+++ isubdir=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7
+++ case "$print_arg" in
+++ cat interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/status.txt
# generate dashboard
-+ generate_dashboard_squad
-+ local results_date
# generate_dashboard_squad
... Skipping
+# post_dashboard_squad
+... Skipping
++ echo '# generate dashboard'
++ generate_dashboard_squad
++ local results_date
+ echo '# generate_dashboard_squad'
+ false
+ echo '... Skipping'
+ return
+ post_dashboard_squad
-# post_dashboard_squad
+ echo '# post_dashboard_squad'
+ false
-... Skipping
+ echo '... Skipping'
+ return
+ generate_lnt_report
-+ wait 1204687
++ wait 1057006
+ set -euf -o pipefail
-# generate_lnt_report
+ echo '# generate_lnt_report'
+# generate_lnt_report
+ true
+ . /home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/lnt-utils.sh
+ case "$ci_project" in
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ generate_lnt_gnu_check_report https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/708/ tcwg_glibc_check master-arm artifacts/sumfiles artifacts/notify/lnt_report.json
-+ local build_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/708/
++ generate_lnt_gnu_check_report https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/709/ tcwg_glibc_check master-arm artifacts/sumfiles artifacts/notify/lnt_report.json
++ local build_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/709/
+ local ci_project=tcwg_glibc_check
+ local ci_config=master-arm
+ local sumfiles_dir=artifacts/sumfiles
@@ -637,16 +1566,16 @@
+ local machine_name=tcwg_glibc_check_master-arm
+ local lnt_testsuite=tcwg_gnu_check
+ local build_number
-++ basename https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/708/
-+ build_number=708
+++ basename https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/709/
++ build_number=709
+ all_fields=('FAIL' 'KFAIL' 'XFAIL' 'PASS' 'XPASS' 'UNRESOLVED' 'UNSUPPORTED' 'UNTESTED' 'ERROR' 'OTHER')
+ local all_fields
++ date '+%Y-%m-%d %H:%M:%S'
-+ date_time='2023-11-16 16:29:30'
-+ report_header 708 tcwg_glibc_check_master-arm '2023-11-16 16:29:30' tcwg_gnu_check
-+ local build_number=708
++ date_time='2023-11-16 22:19:57'
++ report_header 709 tcwg_glibc_check_master-arm '2023-11-16 22:19:57' tcwg_gnu_check
++ local build_number=709
+ local machine_name=tcwg_glibc_check_master-arm
-+ local 'date_time=2023-11-16 16:29:30'
++ local 'date_time=2023-11-16 22:19:57'
+ local lnt_testsuite=tcwg_gnu_check
+ cat
+ for field in "${all_fields[@]}"
@@ -12507,11 +13436,11 @@
+ eval '(( total_PASS+=1 ))'
++ (( total_PASS+=1 ))
+ read -r kind
-+ [[ ! FAIL KFAIL XFAIL PASS XPASS UNRESOLVED UNSUPPORTED UNTESTED ERROR OTHER =~ PASS ]]
-+ eval '(( PASS+=1 ))'
-++ (( PASS+=1 ))
-+ eval '(( total_PASS+=1 ))'
-++ (( total_PASS+=1 ))
++ [[ ! FAIL KFAIL XFAIL PASS XPASS UNRESOLVED UNSUPPORTED UNTESTED ERROR OTHER =~ FAIL ]]
++ eval '(( FAIL+=1 ))'
+++ (( FAIL+=1 ))
++ eval '(( total_FAIL+=1 ))'
+++ (( total_FAIL+=1 ))
+ read -r kind
+ [[ ! FAIL KFAIL XFAIL PASS XPASS UNRESOLVED UNSUPPORTED UNTESTED ERROR OTHER =~ PASS ]]
+ eval '(( PASS+=1 ))'
@@ -12699,17 +13628,17 @@
+ eval '(( total_PASS+=1 ))'
++ (( total_PASS+=1 ))
+ read -r kind
-+ [[ ! FAIL KFAIL XFAIL PASS XPASS UNRESOLVED UNSUPPORTED UNTESTED ERROR OTHER =~ PASS ]]
-+ eval '(( PASS+=1 ))'
-++ (( PASS+=1 ))
-+ eval '(( total_PASS+=1 ))'
-++ (( total_PASS+=1 ))
++ [[ ! FAIL KFAIL XFAIL PASS XPASS UNRESOLVED UNSUPPORTED UNTESTED ERROR OTHER =~ FAIL ]]
++ eval '(( FAIL+=1 ))'
+++ (( FAIL+=1 ))
++ eval '(( total_FAIL+=1 ))'
+++ (( total_FAIL+=1 ))
+ read -r kind
-+ [[ ! FAIL KFAIL XFAIL PASS XPASS UNRESOLVED UNSUPPORTED UNTESTED ERROR OTHER =~ PASS ]]
-+ eval '(( PASS+=1 ))'
-++ (( PASS+=1 ))
-+ eval '(( total_PASS+=1 ))'
-++ (( total_PASS+=1 ))
++ [[ ! FAIL KFAIL XFAIL PASS XPASS UNRESOLVED UNSUPPORTED UNTESTED ERROR OTHER =~ FAIL ]]
++ eval '(( FAIL+=1 ))'
+++ (( FAIL+=1 ))
++ eval '(( total_FAIL+=1 ))'
+++ (( total_FAIL+=1 ))
+ read -r kind
+ [[ ! FAIL KFAIL XFAIL PASS XPASS UNRESOLVED UNSUPPORTED UNTESTED ERROR OTHER =~ PASS ]]
+ eval '(( PASS+=1 ))'
@@ -21387,11 +22316,11 @@
+ eval '(( total_PASS+=1 ))'
++ (( total_PASS+=1 ))
+ read -r kind
-+ [[ ! FAIL KFAIL XFAIL PASS XPASS UNRESOLVED UNSUPPORTED UNTESTED ERROR OTHER =~ FAIL ]]
-+ eval '(( FAIL+=1 ))'
-++ (( FAIL+=1 ))
-+ eval '(( total_FAIL+=1 ))'
-++ (( total_FAIL+=1 ))
++ [[ ! FAIL KFAIL XFAIL PASS XPASS UNRESOLVED UNSUPPORTED UNTESTED ERROR OTHER =~ PASS ]]
++ eval '(( PASS+=1 ))'
+++ (( PASS+=1 ))
++ eval '(( total_PASS+=1 ))'
+++ (( total_PASS+=1 ))
+ read -r kind
+ [[ ! FAIL KFAIL XFAIL PASS XPASS UNRESOLVED UNSUPPORTED UNTESTED ERROR OTHER =~ PASS ]]
+ eval '(( PASS+=1 ))'
@@ -27872,10 +28801,10 @@
+ first=false
+ field_name=tests.FAIL.nb_FAIL
++ eval 'echo $FAIL'
-+++ echo 35
-+ report_test_entry tcwg_gnu_check.tests.FAIL.nb_FAIL 35
++++ echo 37
++ report_test_entry tcwg_gnu_check.tests.FAIL.nb_FAIL 37
+ local name=tcwg_gnu_check.tests.FAIL.nb_FAIL
-+ local value=35
++ local value=37
+ cat
+ for field in "${fields[@]}"
+ false
@@ -27902,10 +28831,10 @@
+ echo ' ,'
+ field_name=tests.PASS.nb_PASS
++ eval 'echo $PASS'
-+++ echo 4440
-+ report_test_entry tcwg_gnu_check.tests.PASS.nb_PASS 4440
++++ echo 4438
++ report_test_entry tcwg_gnu_check.tests.PASS.nb_PASS 4438
+ local name=tcwg_gnu_check.tests.PASS.nb_PASS
-+ local value=4440
++ local value=4438
+ cat
+ for field in "${fields[@]}"
+ false
@@ -27972,10 +28901,10 @@
+ echo ' ,'
+ field_name=TOTAL.FAIL.nb_FAIL
++ eval 'echo $total_FAIL'
-+++ echo 35
-+ report_test_entry tcwg_gnu_check.TOTAL.FAIL.nb_FAIL 35
++++ echo 37
++ report_test_entry tcwg_gnu_check.TOTAL.FAIL.nb_FAIL 37
+ local name=tcwg_gnu_check.TOTAL.FAIL.nb_FAIL
-+ local value=35
++ local value=37
+ cat
+ for field in "${all_fields[@]}"
+ false
@@ -28002,10 +28931,10 @@
+ echo ' ,'
+ field_name=TOTAL.PASS.nb_PASS
++ eval 'echo $total_PASS'
-+++ echo 4440
-+ report_test_entry tcwg_gnu_check.TOTAL.PASS.nb_PASS 4440
++++ echo 4438
++ report_test_entry tcwg_gnu_check.TOTAL.PASS.nb_PASS 4438
+ local name=tcwg_gnu_check.TOTAL.PASS.nb_PASS
-+ local value=4440
++ local value=4438
+ cat
+ for field in "${all_fields[@]}"
+ false
@@ -28072,12 +29001,12 @@
+ false
+ post_to_jira
+ set -euf -o pipefail
-+ echo '# post_to_jira'
# post_to_jira
+Full stage ran successfully.
++ echo '# post_to_jira'
+ local post_card_comment=false
+ local post_template_comment=false
+ false
+ false
+ false
+ echo 'Full stage ran successfully.'
-Full stage ran successfully.
diff --git a/jenkins/notify-init.log b/jenkins/notify-init.log
index a89fb7f..07c8c15 100644
--- a/jenkins/notify-init.log
+++ b/jenkins/notify-init.log
@@ -20,21 +20,21 @@
++ get_current_manifest '{rr[ci_config]}'
++ get_manifest artifacts/manifest.sh '{rr[ci_config]}'
++ set +x
+# Debug traces :
+ ci_config=master-arm
+ echo '# Debug traces :'
-# Debug traces :
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/707/
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/707/'
+# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/708/
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/708/'
# Using dir : base-artifacts
+ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/708/
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/708/'
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/709/'
+# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/709/
# Using dir : artifacts
+ echo '# Using dir : artifacts'
@@ -44,9 +44,9 @@
+ set +x
+ declare -Ag pw
+ '[' ignore = precommit ']'
-# check_source_changes
+ check_source_changes
+ echo '# check_source_changes'
+# check_source_changes
++ get_current_manifest '{rr[update_baseline]}'
++ get_manifest artifacts/manifest.sh '{rr[update_baseline]}'
++ set +x
@@ -76,7 +76,7 @@
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ '[' xa8dcffb30680d6db5704f9ce2fc30621ceb454e7 '!=' xb7f8b6b64b135e6dba5083d688675874d6809c91 ']'
+++ '[' x849274d48fc59bfa6db3c713c8ced8026b20f3b7 '!=' xa8dcffb30680d6db5704f9ce2fc30621ceb454e7 ']'
++ echo -ne glibc
++ delim=' '
++ echo
@@ -89,17 +89,17 @@
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ first_bad=a8dcffb30680d6db5704f9ce2fc30621ceb454e7
++ first_bad=849274d48fc59bfa6db3c713c8ced8026b20f3b7
++ get_baseline_git glibc_rev
++ set -euf -o pipefail
++ local base_artifacts=base-artifacts
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ last_good=b7f8b6b64b135e6dba5083d688675874d6809c91
++ last_good=a8dcffb30680d6db5704f9ce2fc30621ceb454e7
+ local res
+ res=0
-+ wait 1204340
++ wait 1018200
+ git -C glibc rev-parse --verify HEAD
+ assert_with_msg 'Cannot parse HEAD in repo glibc' '[' 0 = 0 ']'
+ set -euf -o pipefail +x
@@ -113,22 +113,22 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=b7f8b6b64b135e6dba5083d688675874d6809c91
++ base_rev=a8dcffb30680d6db5704f9ce2fc30621ceb454e7
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=a8dcffb30680d6db5704f9ce2fc30621ceb454e7
-++ git -C glibc rev-parse 'a8dcffb30680d6db5704f9ce2fc30621ceb454e7^@'
++ cur_rev=849274d48fc59bfa6db3c713c8ced8026b20f3b7
+++ git -C glibc rev-parse '849274d48fc59bfa6db3c713c8ced8026b20f3b7^@'
+ for sha1 in $(git -C "$c" rev-parse "$cur_rev^@")
-+ '[' 3fddfe3c5d3c61f91401393814f7dc33be9c7dd3 = b7f8b6b64b135e6dba5083d688675874d6809c91 ']'
-+ return 1
-+ change_kind=single_component
++ '[' a8dcffb30680d6db5704f9ce2fc30621ceb454e7 = a8dcffb30680d6db5704f9ce2fc30621ceb454e7 ']'
++ return 0
++ change_kind=single_commit
# Debug traces :
-# change_kind=single_component : glibc
+ echo '# Debug traces :'
-+ echo '# change_kind=single_component : glibc'
+# change_kind=single_commit : glibc
++ echo '# change_kind=single_commit : glibc'
+ for c in "${changed_components[@]}"
++ get_baseline_git glibc_rev
++ set -euf -o pipefail
@@ -136,18 +136,18 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=b7f8b6b64b135e6dba5083d688675874d6809c91
++ base_rev=a8dcffb30680d6db5704f9ce2fc30621ceb454e7
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=a8dcffb30680d6db5704f9ce2fc30621ceb454e7
-++ git -C glibc rev-list --count b7f8b6b64b135e6dba5083d688675874d6809c91..a8dcffb30680d6db5704f9ce2fc30621ceb454e7
-+ c_commits=2
-# rev for glibc : b7f8b6b64b135e6dba5083d688675874d6809c91..a8dcffb30680d6db5704f9ce2fc30621ceb454e7 (2 commits)
++ cur_rev=849274d48fc59bfa6db3c713c8ced8026b20f3b7
+++ git -C glibc rev-list --count a8dcffb30680d6db5704f9ce2fc30621ceb454e7..849274d48fc59bfa6db3c713c8ced8026b20f3b7
++ c_commits=1
+# rev for glibc : a8dcffb30680d6db5704f9ce2fc30621ceb454e7..849274d48fc59bfa6db3c713c8ced8026b20f3b7 (1 commits)
++ echo '# rev for glibc : a8dcffb30680d6db5704f9ce2fc30621ceb454e7..849274d48fc59bfa6db3c713c8ced8026b20f3b7 (1 commits)'
-+ echo '# rev for glibc : b7f8b6b64b135e6dba5083d688675874d6809c91..a8dcffb30680d6db5704f9ce2fc30621ceb454e7 (2 commits)'
+ echo ''
+ setup_stages_to_run
+ '[' ignore = onregression ']'
@@ -171,12 +171,264 @@
+ print_config_f=gnu_print_config
+ post_interesting_commits init
+ set -euf -o pipefail
-# post_interesting_commits
+ echo '# post_interesting_commits'
+# post_interesting_commits
++ local stage=init
++ '[' single_commit '!=' single_commit ']'
++ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ local refopt=
++ case "$reference" in
++ local ref_dir
++ for ref_dir in $url $dir
+++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ for ref_dir in $url $dir
+++ basename interesting-commits .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ git -C interesting-commits status
++ '[' -d interesting-commits ']'
++ '[' x '!=' x ']'
++ '[' -d interesting-commits ']'
++ rm -f interesting-commits/.git/gc.log
++ git -C interesting-commits config gc.autoDetach false
++ git -C interesting-commits gc --auto --force --prune=all
++ find interesting-commits/.git -name '*.lock' -delete
++ local i
++ for i in am cherry-pick rebase
++ git -C interesting-commits am --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits cherry-pick --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits rebase --abort
++ true
++ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local remote=origin
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local single_branch=master
++ git -C interesting-commits remote rm origin
++ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local refspec
++ '[' xmaster = x ']'
++ refspec=+refs/heads/master:refs/remotes/origin/master
++ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ local duration=1h
++ shift
++ local tries=3
++ shift
++ local n=0
++ local ret=0
++ '[' 0 -eq 3 ']'
++ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
+timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ ret=0
++ wait 1018280
++ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ '[' 0 -eq 0 ']'
++ break
++ return 0
++ git_checkout interesting-commits master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local remote=origin
++ git_clean interesting-commits
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard
++ local sha1
+++ git_rev_parse interesting-commits master origin
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ '[' 3 -ge 3 ']'
+++ remote=origin
+++ git_rev_parse_1 interesting-commits master origin --short
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ local opts=--short
+++ local ret
+++ cd interesting-commits
+++ local sha1 try_ref
+++ case "$ref" in
+++ try_ref=refs/remotes/origin/master
+++ ret=0
++++ git rev-parse --short refs/remotes/origin/master
+++ sha1=9b42ad270
+++ '[' 0 -ne 0 ']'
+++ echo 9b42ad270
++ sha1=9b42ad270
++ git -C interesting-commits checkout --detach 9b42ad270
+Warning: you are leaving 1 commit behind, not connected to
+any of your branches:
+
+ c4ff67298 Add entry 5391e967b0386235b36656c77e1a3f898ab4f39d from https://ci.linaro.org/job/tcwg_binutils_check--master-aarch64-build/453/
+
+If you want to keep it by creating a new branch, this may be a good time
+to do so with:
+
+ git branch <new-branch-name> c4ff67298
+
+HEAD is now at 9b42ad270 Add entry 862776f26a59516467c98091994c3dac90383159 from https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-arm-build/929/
++ false
++ dryrun='echo DRYRUN: '
++ local jira_dir jira_key=
+++ interesting_subdir glibc 849274d48fc59bfa6db3c713c8ced8026b20f3b7
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7
++ jira_dir=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7
++ jira_dir=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/jira
++ '[' init = full ']'
++ true
++ git -C interesting-commits remote update -p
+Fetching origin
++ git_clean interesting-commits refs/remotes/origin/master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard refs/remotes/origin/master
+# update_interesting_commits
++ update_interesting_commits init ''
++ echo '# update_interesting_commits'
+ local stage=init
-+ '[' single_component '!=' single_commit ']'
++ local jira_key=
++ local subdir3 subdir4 subdir4
+++ interesting_subdir glibc 849274d48fc59bfa6db3c713c8ced8026b20f3b7
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7
++ subdir3=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7
+++ interesting_subdir glibc 849274d48fc59bfa6db3c713c8ced8026b20f3b7 tcwg_glibc_check
+++ local dir=glibc/sha1
+++ '[' 3 -ge 2 ']'
+++ dir=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7
+++ '[' 3 -ge 3 ']'
+++ dir=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check
+++ '[' 3 -ge 4 ']'
+++ echo glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check
++ subdir4=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check
+++ interesting_subdir glibc 849274d48fc59bfa6db3c713c8ced8026b20f3b7 tcwg_glibc_check master-arm
+++ local dir=glibc/sha1
+++ '[' 4 -ge 2 ']'
+++ dir=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7
+++ '[' 4 -ge 3 ']'
+++ dir=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check
+++ '[' 4 -ge 4 ']'
+++ dir=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/master-arm
+++ echo glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/master-arm
++ subdir5=glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/master-arm
++ '[' -d interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7 ']'
++ mkdir -p interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ git -C interesting-commits add glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/first_url
++ mkdir -p interesting-commits/glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/master-arm
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ echo a8dcffb30680d6db5704f9ce2fc30621ceb454e7
++ git -C interesting-commits add glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/master-arm/build_url glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/master-arm/last_good
++ '[' init '!=' full ']'
+ return
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ git -C interesting-commits commit -m 'Add entry 849274d48fc59bfa6db3c713c8ced8026b20f3b7 from https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/709/'
+[detached HEAD 19f8b0582] Add entry 849274d48fc59bfa6db3c713c8ced8026b20f3b7 from https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/709/
+ 3 files changed, 3 insertions(+)
+ create mode 100644 glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/first_url
+ create mode 100644 glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/master-arm/build_url
+ create mode 100644 glibc/sha1/849274d48fc59bfa6db3c713c8ced8026b20f3b7/tcwg_glibc_check/master-arm/last_good
++ wait 1030916
+DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
++ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
++ break
+Init stage ran successfully.
+ '[' init '!=' full ']'
+ echo 'Init stage ran successfully.'
-Init stage ran successfully.
+ exit 0
diff --git a/jenkins/run-build.env b/jenkins/run-build.env
index 493747a..d62bcce 100644
--- a/jenkins/run-build.env
+++ b/jenkins/run-build.env
@@ -1,15 +1,15 @@
-build_name="#708"
+build_name="#709"
docker_opts=(--distro
default
--arch
armhf
--node
-tcwg-jade-05
+tcwg-jade-06
--security
--cap-add=SYS_ADMIN\ --security-opt\ apparmor=unconfined )
source build_container.sh
trap "cleanup_all_containers" EXIT
-build_name="#708-glibc"
+build_name="#709-glibc"
branch_opt=(==rr\[glibc_git\]
git://sourceware.org/git/glibc.git#master )
-build_name="#708-glibc-R0"
+build_name="#709-glibc-R0"